POST
/v1/mcp-oauth/approveApprove an MCP OAuth authorization request
Approves an MCP OAuth authorization request. Include authRequestId to identify the request, and supply projectId when the approval is associated with a project.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
MCP OAuth authorization request approval details.
authRequestIdstringrequired
The identifier of the authorization request to approve.
projectIdstringoptional
The identifier of the project associated with the authorization request.
200Returns the result of approving the MCP OAuth authorization request.
Error handling
authRequestId is required to identify the authorization request. projectId may be supplied to associate the approval with a project.